Package: groovy.org.codenarc.analyzer

## [Groovy] Class StringSourceAnalyzer

- groovy.org.codenarc.analyzer.StringSourceAnalyzer

- Analyzes Strings.

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `SourceString` | `source`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StringSourceAnalyzer (String source)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Results` | `analyze(RuleSet ruleSet)`
    `` | `List` | `getSourceDirectories()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractSourceAnalyzer` | `collectViolations`

- - ### Property Detail

    - #### SourceString source

  - ### Constructor Detail

    - #### StringSourceAnalyzer(String source)

  - ### Method Detail

    - #### Results analyze(RuleSet ruleSet)

    - #### List getSourceDirectories()